v1.0.0
OAS 3.1.0

GetName.pl Public API

Proprietary

Read-only public API for the getname.pl domain marketplace, auctions, pricing, and NASK .pl availability checks. Supports JSON and text/markdown content negotiation.

Production

Client Libraries

domains

List marketplace domains

Query Parameters
  • page
    Type: integer

    Integer numbers.

  • limit
    Type: integer
    max:  
    100

    Integer numbers.

  • q
    Type: string
  • minPrice
    Type: number
  • maxPrice
    Type: number
  • category
    Type: string

    Comma-separated category IDs or slugs

  • sort
    Type: stringenum
    values
    • name
    • price
    • expiry
    • created
    • opr
  • order
    Type: stringenum
    values
    • asc
    • desc
Responses
Request Example for get/domains
curl 'https://api.getname.pl/v1/domains?page=1&limit=30&q=&minPrice=1&maxPrice=1&category=&sort=name&order=asc'
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "status": "string",
      "isForSale": true,
      "priceGross": 1,
      "currency": "string",
      "expiryDate": "2026-04-23",
      "metrics": {
        "mozDa": 1,
        "mozPa": 1,
        "ahrefsDr": 1,
        "majCf": 1,
        "majTf": 1,
        "oprPageRank": 1
      }
    }
  ],
  "meta": {
    "total": 1,
    "page": 1,
    "limit": 1,
    "totalPages": 1
  }
}

Domain detail

Path Parameters
  • name
    Type: string
    required
Responses
  • 200

    Domain

Request Example for get/domains/{name}
curl 'https://api.getname.pl/v1/domains/{name}'
No Body

Check domain availability (NASK EPP + marketplace)

Query Parameters
  • domain
    Type: string
    required
Responses
  • 200

    Availability + registration price

Request Example for get/domains/check
curl 'https://api.getname.pl/v1/domains/check?domain='
No Body

Search domains + auctions

Query Parameters
  • q
    Type: string
    min length:  
    2
    required
  • limit
    Type: integer
    max:  
    50

    Integer numbers.

Responses
  • 200

    Search results

Request Example for get/domains/search
curl 'https://api.getname.pl/v1/domains/search?q=&limit=20'
No Body

/recently-sold

Responses
  • 200

    Recently sold

Request Example for get/recently-sold
curl https://api.getname.pl/v1/recently-sold
No Body

auctions (Collapsed)

categories (Collapsed)

pricing (Collapsed)

pricing Operations

stats (Collapsed)

stats Operations

hunter (Collapsed)

Models